import { HTMLChartRenderer } from './chart';
import { RendererFactory } from './renderer_factory';
import { PointMapRenderOptions, StyleDefaults } from './data_styles';
import { RendererOptions } from './renderer_types';
import { Renderer } from './renderer';
import { Cell, CellBase, Field } from '../data_tree';
import type * as lite from 'vega-lite';
export declare class HTMLPointMapRenderer extends HTMLChartRenderer {
    getDataValue(data: Cell): string | number;
    getDataType(field: Field): 'ordinal' | 'quantitative' | 'nominal';
    getVegaLiteSpec(data: CellBase): lite.TopLevelSpec;
}
export declare class PointMapRendererFactory extends RendererFactory<PointMapRenderOptions> {
    static readonly instance: PointMapRendererFactory;
    create(document: Document, styleDefaults: StyleDefaults, rendererOptions: RendererOptions, _field: Field, options: PointMapRenderOptions, timezone?: string): Renderer;
    get rendererName(): string;
}
